=== modified file 'doc/developers/HACKING.txt'
--- doc/developers/HACKING.txt	2007-10-24 07:36:52 +0000
+++ doc/developers/HACKING.txt	2007-11-15 04:13:34 +0000
@@ -662,6 +662,15 @@
 Coding Style Guidelines
 =======================
 
+General Python rules
+--------------------
+
+``hasattr`` should not be used because it swallows exceptions including
+``KeyboardInterrupt``.  Instead, say something like ::
+
+  if getattr(thing, 'name', None) is None
+
+
 Code layout
 -----------
 

